/* drawing (DXF) to G-code (NGC) converter
 * Copyright 2013 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft: CC-BY-SA http://creativecommons.org/licenses/by-sa/3.0/
 */

#ifndef POINT_H
#define POINT_H

/// point in 2D space
class Point {
public:
  Point();
  Point(double x, double y);
  double abs_sq() const;
  double abs() const;
  Point operator-() const;
  Point operator+(const Point &that) const;
  Point operator-(const Point &that) const;
  Point operator*(double factor) const;
  Point operator/(double factor) const;
  Point &operator+=(const Point &that);
  Point &operator-=(const Point &that);
  Point &operator*=(double factor);
  Point &operator/=(double factor);
  double mX; ///< x coordinate
  double mY; ///< y coordinate
};

#endif // #ifndef POINT_H

